Subject: Re: bug#22575: 25.0.50; isearch-query-replace wrong type argument

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 07 Feb 2021 17:52:10 +0100

Óscar Fuentes <[email-masked]> writes:

> In *scratch*, put the point at the beginning of the buffer and
>
> M-x isearch-query-replace
>
> The minibuffer shows
>
> Wrong type argument: stringp, nil

I'm unable to reproduce this in Emacs 28 (it instead replaces the
zero-length string with whatever you say it should), so I'm guessing
this has been fixed in the years since it was reported, and I'm closing
this bug report.  If this is still a problem, please respond to the
debbugs address and we'll reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no